package Negocio;

import Base.Endereco;
import Base.Usuario;
import Colecao.ColecaoUsuario;
import Excecoes.Excecao;

public class NegocioUsuario {
	
	ColecaoUsuario colecao_usuario;
	
	
	public NegocioUsuario(ColecaoUsuario colecao_usuario) {
		this.colecao_usuario = colecao_usuario;
	}


	public void efetuarLogin(String login, String senha) throws Excecao{
		if(senha != this.colecao_usuario.getUsuario(login)){
			throw new Excecao("A senha no confere.");
		}
	}
	public void alterarSenha(String login, String senha, String senha_nova) throws Excecao{
		if(senha != this.colecao_usuario.getUsuario(login)){
			throw new Excecao("A senha no confere.");
		}
		else if(senha_nova.length() < 6){
			throw new Excecao("A senha nova precisa ter mais que seis digtos.")
		}
		else{
			this.colecao_usuario.setSenha(login, senha_nova);
		}
	}
	
	public void cadastrarUsuario(String login, String senha, String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String dataNasc, int tipo) throws Excecao{
		if(this.colecao_usuario.existe(login)){
			throw new Excecao("Usurio j existe.");
		}
		else{
			this.colecao_usuario.inserir(new Usuario(login, senha, nome, cpf, endereco, telefone,
					dataNasc, tipo));
		}
	}
}
